<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout android:id="@id/FrameLayout1" android:layout_width="fill_parent" android:layout_height="fill_parent"
  xmlns:android="http://schemas.android.com/apk/res/android" xmlns:app="http://schemas.android.com/apk/res-auto">
    <FrameLayout android:layout_width="fill_parent" android:layout_height="fill_parent">
        <ImageView android:id="@id/holder" android:layout_width="fill_parent" android:layout_height="fill_parent" android:scaleType="centerCrop" />
        <com.moji.cameraview.CameraView android:id="@id/surface" android:layout_width="fill_parent" android:layout_height="fill_parent" app:autoFocus="true" />
        <com.moji.camera.view.CameraShadow android:layout_width="fill_parent" android:layout_height="fill_parent" />
    </FrameLayout>
    <com.moji.crop.RectView android:id="@id/focus_view" android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_marginTop="@dimen/clip_top" />
    <TextView android:textSize="12.0dip" android:textColor="#ffffffff" android:gravity="center" android:id="@id/tips" android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_marginTop="20.0dip" android:layout_below="@id/focus_view" />
    <RelativeLayout android:gravity="center_vertical" android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_marginBottom="26.0dip" android:layout_alignParentBottom="true">
        <ImageView android:id="@id/camera_cancel" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="35.0dip" android:src="@drawable/camera_cancel" android:layout_centerVertical="true" />
        <ImageView android:id="@id/action" android:layout_width="wrap_content" android:layout_height="wrap_content" android:src="@drawable/camera_do" android:layout_centerInParent="true" />
    </RelativeLayout>
</RelativeLayout>